from setuptools import find_packages, setup

with open('README.md') as f:
    long_description = f.read()

with open('requirements.txt') as f:
    install_requires = f.read().splitlines()

setup(
    name='estuary',
    version='0.0.2',
    description='API wrapper for Estuary written in Python.',
    long_description=long_description,
    long_description_content_type='text/markdown',
    author='luzea',
    author_email='di0jdpdsn@relay.firefox.com',
    url='https://github.com/luzeadev/python-estuary',
    packages=find_packages(where='src'),
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'License :: OSI Approved :: MIT License',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3 :: Only',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9',
        'Topic :: Communications :: File Sharing',
    ],
    license='MIT',
    package_dir={
        '': 'src'
    },
    install_requires=install_requires,
    python_requires='>=3.6',
    project_urls={
        'Bug Tracker': 'https://github.com/luzeadev/python-estuary/issues'
    }
)
